[data]
name=RoachLimiter
title=Roach Limiter
subtitle=
icon=13
header=1
transparent=0
drag=1
width=223
height=100
tab=Restraint,clonetab
tab=Frequency,delaytab
tab=debug,debugtab
script=SetVarToSetting:crTheme,Theme

[text01]
x=50
y=24
width=140
height=60
tab=clonetab
colorgroup=HypnoText
colorstyle=
text={{Roach Replication Restraint





Status: #roachmode#}}
align=left
vertalign=top

[text02]
x=39
y=20
width=140
height=20
tab=delaytab
colorgroup=HypnoText
colorstyle=
text={{Roach Frequency Control
(Delay parameters)}}
align=center
vertalign=center

[text03]
x=44
y=31
width=25
height=10
tab=delaytab
colorgroup=HypnoText
colorstyle=
text={{Min}}
align=center
vertalign=center

[text04]
x=154
y=31
width=25
height=10
tab=delaytab
colorgroup=HypnoText
colorstyle=
text={{Max}}
align=center
vertalign=center

[text05]
x=44
y=40
width=25
height=10
tab=delaytab
colorgroup=TextMed
colorstyle=
text={{#roachmin#}}
align=center
vertalign=center

[text06]
x=154
y=40
width=25
height=10
tab=delaytab
colorgroup=TextMed
colorstyle=
text={{#roachmax#}}
align=center
vertalign=center

[text07]
x=150
y=60
width=70
height=50
colorgroup=TextRed
colorstyle=
text={{WARNING:
DO NOT BURN THIS APP}}
align=center
vertalign=center


[button01]
x=111
y=54
text=Toggle
tab=clonetab
script=if:compare,#multiroach#,=,1|setvar:multiroach,0|setvar:roachmode,Enabled|refreshapp:RoachLimiter|else|setvar:multiroach,1|setvar:roachmode,Disabled|refreshapp:RoachLimiter

[button02]
x=32
y=63
text={{-}}
tab=delaytab
script=subvar:roachmin,1|refreshapp:RoachLimiter

[button03]
x=82
y=63
text={{+}}
tab=delaytab
script=addvar:roachmin,1|refreshapp:RoachLimiter

[button04]
x=142
y=63
text={{-}}
tab=delaytab
script=subvar:roachmax,1|refreshapp:RoachLimiter

[button05]
x=192
y=63
text={{+}}
tab=delaytab
script=addvar:roachmax,1|refreshapp:RoachLimiter

[button06]
x=111
y=85
text={{Reset}}
tab=delaytab
script=setvar:roachmin,45|setvar:roachmax,90|refreshapp:RoachLimiter

[button07]
x=44
y=60
text={{Restart}}
tab=debugtab
script=endscript:cockroachvirus|endscript:cockroachchaos|curevirus:DancingCockroach|wait:1|openfile:downloads\cockroachinstalled.txt|refreshapp:RoachLimiter

[button08]
x=154
y=60
text={{Force Dance}}
tab=debugtab
script=ad:cockroach|refreshapp:RoachLimiter

[image01]
x=44
y=39
width=25
height=12
tab=delaytab
image=os\themes\#crTheme#\checkbox1.png
behind=0
script=InputWait:Setvar:roachmin,Set minimum delay time (seconds),#roachmin#|vartoint:roachmin|refreshapp:RoachLimiter

[image02]
x=154
y=39
width=25
height=12
tab=delaytab
image=os\themes\#crTheme#\checkbox1.png
behind=0
script=InputWait:Setvar:roachmax,Set maximum delay time (seconds),#roachmax#|vartoint:roachmax|refreshapp:RoachLimiter
